{
  "files": [],
  "references": [
    { "path": "./tsconfig.app.json" },
    { "path": "./tsconfig.node.json" }
  ],
  "compilerOptions": {
    "target": "ESNext", // Compile to a modern ECMAScript version that supports ES modules
    "module": "ESNext", // Use ES module syntax for module code generation
    "strict": true,
    "strictNullChecks": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "moduleResolution": "node", // Use Node.js style module resolution
    "esModuleInterop": true, // Enables default imports from modules with no default export
    "outDir": "./dist" // Output directory for compiled files
  },
 "ts-node": {
    "esm": true
  },
  "include": ["src/**/*.ts"]
}
